
Selene J2EE Interface - Tareas #100

Reduce JDK1.7 warnings

04/25/2018 03:46 PM - Jesús Freire

Status: Cerrada Start date: 04/25/2018

Priority: Normal Due date: 05/15/2018

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 6:00 hours

Target version: 0.0.1 Spent time: 5:15 hours

Puntos de historia: 6   

Description

Optimize imports.

Generate serialVersionUID to serialized classes.

Parameterize lists to avoid jdk1.7 deprecated generic lists.

Complete documentation with parameters and comments for the throwed exceptions.

Format source code with the correct tabulations

History

#1 - 04/25/2018 03:47 PM - Jesús Freire

- Status changed from Nueva to En curso

#2 - 04/26/2018 06:37 AM - Jesús Freire

- Target version set to 0.0.1

#3 - 04/26/2018 10:38 AM - Jesús Freire

- % Done changed from 10 to 20

- Estimated time changed from 6:00 h to 8:00 h

- Puntos de historia changed from 6 to 8

#4 - 05/03/2018 11:48 AM - Jesús Freire

- Due date changed from 04/30/2018 to 05/15/2018

- Translation missing: en.field_sprint changed from 35 to 49

#5 - 05/04/2018 09:52 AM - Jesús Freire

- % Done changed from 20 to 50

- Estimated time changed from 8:00 h to 6:00 h

- Puntos de historia changed from 8 to 6

#6 - 05/07/2018 08:42 AM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 50 to 90

Applied in changeset selene-j2ee-interface|r518.

#7 - 05/07/2018 08:43 AM - Jesús Freire

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100
